light bulb

Did You Know?



Webroot SecureAnywhere System Requirements

For PC:

Minimum system requirements
Windows Operating system: Webroot SecureAnywhere can be installed on a computer with one of the following operating systems:
  • Windows 10 32-bit and 64-bit
  • Windows 8 32-bit and 64-bit
  • Windows 7 32-bit and 64-bit (all Editions), Windows 7 SP1 32-bit and 64-bit (all Editions)
  • Windows Vista® 32-bit (all Editions), Windows Vista SP1, SP2 32-bit and 64-bit (all Editions)
  • Windows XP 32-bit and 64-bit SP2, SP3
Processor & RAM:

Intel Pentium®/Celeron® family, or AMD® K6/Athlon™/Duron™ family, or other compatible processor


128 MB RAM (minimum)
2 GB RAM recommended on Windows Vista and Windows 7

Hard Disk Space: 15 MB
Internet/Browser: Internet access is required.

Browser:
  • Internet Explorer® 7.0 and higher (32-bit only)
  • Mozilla Firefox® 3.6 and higher (32-bit only)
  • Google Chrome™ browser 10.0 or higher

 

For Mac:

Minimum system requirements
Operating system:
  • Mac OS® X v.10.7 (OS X Lion™)
  • Mac OS X v. 10.8 (OS X Mountain Lion®)
  • Mac OS X v. 10.9 (OS X Mavericks®)
  • Mac OS X v. 10.10 (OS X Yosemite®)
  • Mac OS X v. 10.11 (OS X El Capitan®)
  • Mac OS X v. 10.12 (macOS Sierra®)
RAM: 128 MB RAM (minimum)
Hard Disk Space: 15 MB
Internet/Browser: Internet access is required.

Browser:
  • Apple® Safari® 5.0.1 or higher
  • Mozilla Firefox® - last 5 versions
  • Google Chrome® - last 5 versions

 

For Mobile:

Minimum system requirements
Android:

Webroot SecureAnywhere products can be installed on an Android device with the following operating system:

 

  • Android operating system version 4.0 (Ice Cream Sandwich) or higher

Kindle Fire® is supported.

 

Nook® HD and HD+ are supported.

 

Android-compatible device with 3 MB of free storage space

 

3G or 4G data connection is required for some features. For a list of these features, click here.

iOS: Webroot SecureAnywhere products can be installed on an iOS device with the following operating system:
  • iOS 8.0 or later for Backup & Sync
  • iOS 8.0 or later for SecureWeb

Compatible with iPhone®, iPod Touch®, and iPad® mobile digital devices

Webroot SecureAnywhere System Requirements

by Retired Webrooter on ‎08-17-2013 03:22 PM - edited Wednesday by Community Manager Community Manager
Comments
by joneslouellar721
on ‎12-22-2016 11:33 AM

I HAVE MY OWN WEBROOT CD. BUT IT DOESN'T TAKE MY KEY CODE THAT'S WHY I CONTACT YOU GUYS?

by joneslouellar721
on ‎12-22-2016 11:38 AM

I HAVE NO COMMENT  .  I JUST WANT MY WEBROOT TO WORK  SO I WILL STOP GETTING THESE WARNINGS POPPING UP.

by Gold VIP
on ‎12-22-2016 11:54 AM

Hi joneslouellar721

 

Welcome to the Community Forums.

 

What version, i..e, Antivirus, Internet Security Plus or Complete, are you running?

 

Regards, Baldrick

by 1937Bear
Thursday

My computer had a problem with another anti-virus program and had to be restored to factory settings.  I thank God I had a WD

portable hard drive so everything was put back in place after the problem was fixed!